View Issue Details

IDProjectCategoryView StatusLast Update
0000059TeraCopy(No Category)public2017-02-25 21:07
ReporterBob Sears 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0 RC 2 
Target Version3.0Fixed in Version 
Summary0000059: Freezes when copying large amounts of data
DescriptionRecently consolidated a large collection of video files from two 4TB HDD's onto 1 8TB HDD. Each 4TB drive contained more than 3 TB of data.
RC2 would consistently freeze after an hour or so of copying. After this happened about 5 times I downgraded to Tera Copy Pro 2.3 and completed the task uneventfully.
Source drives were located internal to the computer box. Target drive was attached externally via an esata II connection. That was not changed throughout the process.
The attached bug report was taken after the second of five freeze-ups.
TagsNo tags attached.
OSWindows 7
OS Version64 bit

Relationships

related to 0000050 resolvedCodeSector Freeze while copying, requires kill via task manager. 

Activities

Bob Sears

2017-02-20 11:47

reporter  

bugreport.txt (28,453 bytes)
date/time          : 2017-02-19, 09:28:54, 420ms
computer name      : HAL
user name          : Bob Sears
registered owner   : Bob Sears
operating system   : Windows 7 x64 Service Pack 1 build 7601
system language    : English
system up time     : 14 hours 48 minutes
program up time    : 24 minutes 9 seconds
processors         : 4x Intel(R) Core(TM)2 Quad CPU Q9550 @ 2.83GHz
physical memory    : 4815/8191 MB (free/total)
free disk space    : (C:) 376.05 GB
display mode       : 1920x1080, 32 bit
process id         : $1db4
allocated memory   : 96.31 MB
largest free block : 1.29 GB
command line       : "C:\Program Files\TeraCopy\teracopy.exe" Copy *"C:\Users\Bob Sears\AppData\Roaming\TeraCopy\FileList.dat" "T:\TV"
executable         : teracopy.exe
exec. date/time    : 2017-01-31 01:27
version            : 3.0.1.0
compiled with      : Delphi 10.1 Berlin
madExcept version  : 4.0.16
contact name       : Bob Sears
contact email      : bob@hellcat.us
callstack crc      : $26224550, $df8fd266, $1f94c3ae
exception number   : 1
exception message  : The application seems to be frozen.

main thread ($b7c):
76c915f1 +0fa KERNELBASE.dll                         WaitForMultipleObjectsEx
75121a07 +089 kernel32.dll                           WaitForMultipleObjectsEx
767c0864 +000 USER32.dll                             MsgWaitForMultipleObjectsEx
767c0b64 +01a USER32.dll                             MsgWaitForMultipleObjects
0052a767 +06f teracopy.exe   System.Classes          TThread.WaitFor
0052994a +046 teracopy.exe   System.Classes          TThread.Destroy
005eeeab +03b teracopy.exe   System.Threading        TThreadPool.TBaseWorkerThread.Destroy
005ef04d +011 teracopy.exe   System.Threading        TThreadPool.TQueueWorkerThread.Destroy
0040877c +008 teracopy.exe   System           424 +0 TObject.Free
005ee713 +137 teracopy.exe   System.Threading        TThreadPool.Destroy
0040877c +008 teracopy.exe   System           424 +0 TObject.Free
005ee7a1 +00d teracopy.exe   System.Threading        TThreadPool.Destroy@
00409fca +03e teracopy.exe   System           424 +0 FinalizeUnits
004a379c +054 teracopy.exe   madExcept               InterceptFinalizeUnits
004a37a4 +000 teracopy.exe   madExcept               InterceptHalt0FinalizeUnits
0040a3cc +0a8 teracopy.exe   System           424 +0 @Halt0
75123378 +010 kernel32.dll                           BaseThreadInitThunk

thread $19e4:
75123378 +10 kernel32.dll  BaseThreadInitThunk

thread $1ac8 (TThreadPool.TQueueWorkerThread):
76c914a5 +092 KERNELBASE.dll                            WaitForSingleObjectEx
7512118f +03e kernel32.dll                              WaitForSingleObjectEx
75121143 +00d kernel32.dll                              WaitForSingleObject
0045597e +002 teracopy.exe   System.SysUtils            WaitForSyncWaitObj
00455ac7 +01f teracopy.exe   System.SysUtils            WaitOrSignalObj
00409701 +065 teracopy.exe   System            424   +0 TMonitor.Wait
00409767 +017 teracopy.exe   System            424   +0 TMonitor.Wait
0054c80f +15b teracopy.exe   System.SyncObjs            TLightweightEvent.WaitFor
005ee34a +02a teracopy.exe   System.Threading           TTask.Wait
00670a19 +279 teracopy.exe   FileList         6005  +63 TFileList.FileCopySync
00670246 +1b2 teracopy.exe   FileList         5859  +55 TFileList.FileCopy
0066d9a8 +578 teracopy.exe   FileList         4900 +154 TFileList.FileCopyLoop
00673b19 +00d teracopy.exe   FileList         6999   +0 TFileList.startCopy$164$ActRec.$0$Body
005ecbc9 +05d teracopy.exe   System.Threading           TTask.Execute
005ed885 +029 teracopy.exe   System.Threading           TTask.InternalExecute
005ed98a +062 teracopy.exe   System.Threading           TTask.InternalWork
005ecfd9 +01d teracopy.exe   System.Threading           TTask.ExecuteWork
005ef7e5 +02d teracopy.exe   System.Threading           TThreadPool.TQueueWorkerThread.ExecuteWorkItem
005ef43b +3d3 teracopy.exe   System.Threading           TThreadPool.TQueueWorkerThread.Execute
004a44e7 +02b teracopy.exe   madExcept                  HookedTThreadExecute
00529749 +049 teracopy.exe   System.Classes             ThreadProc
0040a4e0 +028 teracopy.exe   System            424   +0 ThreadWrapper
004a43cd +00d teracopy.exe   madExcept                  CallThreadProcSafe
004a4432 +032 teracopy.exe   madExcept                  ThreadExceptFrame
75123378 +010 kernel32.dll                              BaseThreadInitThunk
>> created by main thread ($b7c) at:
005eee2b +01f teracopy.exe   System.Threading           TThreadPool.TBaseWorkerThread.Create

thread $1fe4 (TStashWorker):
76c914a5 +92 KERNELBASE.dll                        WaitForSingleObjectEx
7512118f +3e kernel32.dll                          WaitForSingleObjectEx
75121143 +0d kernel32.dll                          WaitForSingleObject
0045597e +02 teracopy.exe   System.SysUtils        WaitForSyncWaitObj
00455ac7 +1f teracopy.exe   System.SysUtils        WaitOrSignalObj
00409701 +65 teracopy.exe   System          424 +0 TMonitor.Wait
00409790 +20 teracopy.exe   System          424 +0 TMonitor.Wait
00643a1e +5a teracopy.exe   StashWorker      61 +0 {System.Generics.Collections}TThreadedQueue<Stash.TStash>.PopItem
00643b21 +15 teracopy.exe   StashWorker      61 +0 {System.Generics.Collections}TThreadedQueue<Stash.TStash>.PopItem
00641c69 +59 teracopy.exe   StashWorker      75 +8 TStashWorker.Execute
004a44e7 +2b teracopy.exe   madExcept              HookedTThreadExecute
00529749 +49 teracopy.exe   System.Classes         ThreadProc
0040a4e0 +28 teracopy.exe   System          424 +0 ThreadWrapper
004a43cd +0d teracopy.exe   madExcept              CallThreadProcSafe
004a4432 +32 teracopy.exe   madExcept              ThreadExceptFrame
75123378 +10 kernel32.dll                          BaseThreadInitThunk
>> created by thread $1ac8 (TThreadPool.TQueueWorkerThread) at:
00641b5f +23 teracopy.exe   StashWorker      33 +1 TStashWorker.Create

thread $4b0:
767b7908 +26 USER32.dll             GetMessageW
004a43cd +0d teracopy.exe madExcept CallThreadProcSafe
004a4432 +32 teracopy.exe madExcept ThreadExceptFrame
75123378 +10 kernel32.dll           BaseThreadInitThunk
>> created by thread $1d8c at:
75a1450f +00 SHLWAPI.dll

thread $183c:
776e1f8b +0b ntdll.dll     NtWaitForWorkViaWorkerFactory
75123378 +10 kernel32.dll  BaseThreadInitThunk

thread $194:
767df5b7 +00e USER32.dll             WaitMessage
738bbb14 +109 hhctrl.ocx             HhWindowThread
004a43cd +00d teracopy.exe madExcept CallThreadProcSafe
004a4432 +032 teracopy.exe madExcept ThreadExceptFrame
75123378 +010 kernel32.dll           BaseThreadInitThunk
>> created by main thread ($b7c) at:
738bbb96 +000 hhctrl.ocx

thread $484:
76c93bd5 +5f KERNELBASE.dll           SleepEx
76c944a6 +0a KERNELBASE.dll           Sleep
004a43cd +0d teracopy.exe   madExcept CallThreadProcSafe
004a4432 +32 teracopy.exe   madExcept ThreadExceptFrame
75123378 +10 kernel32.dll             BaseThreadInitThunk
>> created by main thread ($b7c) at:
76b4da7e +00 ole32.dll

thread $10bc:
776e1f8b +0b ntdll.dll     NtWaitForWorkViaWorkerFactory
75123378 +10 kernel32.dll  BaseThreadInitThunk

modules:
00400000 teracopy.exe                             3.0.1.0            C:\Program Files\TeraCopy
5fdc0000 ieproxy.dll                              11.0.9600.17909    C:\Program Files (x86)\Internet Explorer
5fe10000 browcli.dll                              6.1.7601.17887     C:\Windows\system32
5fe20000 dfscli.dll                               6.1.7600.16385     C:\Windows\system32
5fe30000 fdWNet.dll                               6.1.7600.16385     C:\Windows\SysWOW64
5fe40000 wcnapi.dll                               6.1.7600.16385     C:\Windows\System32
5fe60000 fdwcn.dll                                6.1.7600.16385     C:\Windows\System32
5fe80000 FunDisc.dll                              6.1.7600.16385     C:\Windows\SysWOW64
5feb0000 EhStorAPI.dll                            6.1.7601.17514     C:\Windows\system32
60190000 NetworkExplorer.dll                      6.1.7601.17514     C:\Windows\system32
603e0000 PortableDeviceApi.dll                    6.1.7601.17514     C:\Windows\system32
60470000 davclnt.dll                              6.1.7601.18201     C:\Windows\System32
60490000 StructuredQuery.dll                      7.0.7601.17514     C:\Windows\System32
604f0000 UIAutomationCore.dll                     7.0.0.0            C:\Windows\system32
60580000 SearchFolder.dll                         6.1.7601.17514     C:\Windows\system32
60620000 XmlLite.dll                              1.3.1001.0         C:\Windows\system32
60650000 ClientTelemetry.dll                      1.2.502.0          C:\Users\Bob Sears\AppData\Local\Microsoft\OneDrive\17.3.6390.0509
60700000 FileSyncShell.dll                        17.3.6390.509      C:\Users\Bob Sears\AppData\Local\Microsoft\OneDrive\17.3.6390.0509
60930000 MSVCR120.dll                             12.0.21005.1       C:\Users\Bob Sears\AppData\Local\Microsoft\OneDrive\17.3.6390.0509
60bb0000 explorerframe.dll                        6.1.7601.17514     C:\Windows\system32
61910000 d2d1.dll                                 6.2.9200.16765     C:\Windows\system32
62ca0000 ntlanman.dll                             6.1.7601.17514     C:\Windows\System32
62cc0000 EhStorShell.dll                          6.1.7600.16385     C:\Windows\system32
62d00000 DWRITE.DLL                               6.2.9200.17292     C:\Windows\system32
62e40000 d3d11.dll                                6.2.9200.16570     C:\Windows\system32
62fe0000 msls31.dll                               3.10.349.0         C:\Windows\system32
63020000 Telemetry.dll                            17.3.6390.509      C:\Users\Bob Sears\AppData\Local\Microsoft\OneDrive\17.3.6390.0509
63070000 MSVCP120.dll                             12.0.21005.1       C:\Users\Bob Sears\AppData\Local\Microsoft\OneDrive\17.3.6390.0509
630f0000 tiptsf.dll                               6.1.7601.18512     C:\Program Files (x86)\Common Files\microsoft shared\ink
63240000 fdproxy.dll                              6.1.7600.16385     C:\Windows\SysWOW64
63250000 thumbcache.dll                           6.1.7601.17514     C:\Windows\SysWOW64
63370000 SXS.DLL                                  6.1.7601.17514     C:\Windows\system32
64d10000 dtsh.dll                                 6.1.7600.16385     C:\Windows\system32
64d90000 msxml6.dll                               6.30.7601.18431    C:\Windows\System32
64ef0000 dxgi.dll                                 6.2.9200.16492     C:\Windows\system32
65020000 FirewallAPI.dll                          6.1.7600.16385     C:\Windows\system32
66550000 NetworkItemFactory.dll                   6.1.7600.16385     C:\Windows\system32
6bdb0000 LoggingPlatform.DLL                      17.3.6390.509      C:\Users\Bob Sears\AppData\Local\Microsoft\OneDrive\17.3.6390.0509
6bde0000 DUI70.dll                                6.1.7600.16385     C:\Windows\system32
6bea0000 DUser.dll                                6.1.7600.16385     C:\Windows\system32
6bed0000 DAVHLPR.dll                              6.1.7600.16385     C:\Windows\System32
6c6f0000 FaultRep.dll                             6.1.7601.17514     C:\Windows\system32
6c770000 actxprxy.dll                             6.1.7601.17514     C:\Windows\SysWOW64
6d0b0000 ntshrui.dll                              6.1.7601.17755     C:\Windows\system32
6d120000 drprov.dll                               6.1.7600.16385     C:\Windows\System32
6d1a0000 powrprof.dll                             6.1.7600.16385     C:\Windows\system32
6d1d0000 Cabinet.dll                              6.1.7601.17514     C:\Windows\system32
6da20000 ieframe.DLL                              11.0.9600.17924    C:\Windows\system32
6ec90000 rsaenh.dll                               6.1.7600.16385     C:\Windows\system32
6ecd0000 CRYPTSP.dll                              6.1.7601.18741     C:\Windows\system32
6ef20000 ATL.DLL                                  3.5.2284.0         C:\Windows\SysWOW64
6ff90000 npmproxy.dll                             6.1.7600.16385     C:\Windows\System32
70690000 ntmarta.dll                              6.1.7600.16385     C:\Windows\system32
718a0000 dwmapi.dll                               6.1.7600.16385     C:\Windows\system32
718c0000 uxtheme.dll                              6.1.7600.16385     C:\Windows\system32
71940000 OLEACC.dll                               7.0.0.0            C:\Windows\system32
71de0000 COMCTL32.dll                             6.10.7601.18837    C:\Windows\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.7601.18837_none_41e855142bd5705d
72120000 winmm.dll                                6.1.7601.17514     C:\Windows\system32
72160000 wsock32.dll                              6.1.7600.16385     C:\Windows\system32
72190000 apphelp.dll                              6.1.7601.18777     C:\Windows\system32
72220000 RpcRtRemote.dll                          6.1.7601.17514     C:\Windows\system32
728f0000 MPR.dll                                  6.1.7600.16385     C:\Windows\system32
72910000 WINSTA.dll                               6.1.7601.18540     C:\Windows\System32
72940000 WTSAPI32.dll                             6.1.7601.17514     C:\Windows\system32
72bc0000 cscapi.dll                               6.1.7601.17514     C:\Windows\system32
72bd0000 WRusr.dll                                9.0.15.40          C:\Windows\system32
73170000 mssprxy.dll                              7.0.7600.16385     C:\Windows\system32
737d0000 dopuslib32.dll                           1.0.1.1            C:\Program Files\GPSoftware\Directory Opus
73830000 api-ms-win-downlevel-shlwapi-l2-1-0.dll  6.2.9200.16492     C:\Windows\system32
73860000 shdocvw.dll                              6.1.7601.18222     C:\Windows\System32
73890000 hhctrl.ocx                               6.1.7600.16385     C:\Windows\system32
739f0000 propsys.dll                              7.0.7601.17514     C:\Windows\system32
73af0000 windowscodecs.dll                        6.2.9200.17251     C:\Windows\system32
73cf0000 api-ms-win-downlevel-advapi32-l2-1-0.dll 6.2.9200.16492     C:\Windows\system32
73d30000 api-ms-win-downlevel-shell32-l1-1-0.dll  6.2.9200.16492     C:\Windows\system32
73d90000 slc.dll                                  6.1.7600.16385     C:\Windows\system32
73e90000 LINKINFO.dll                             6.1.7600.16385     C:\Windows\system32
74b60000 webio.dll                                6.1.7601.17725     C:\Windows\system32
74bb0000 WINHTTP.dll                              6.1.7601.17514     C:\Windows\system32
74c10000 version.DLL                              6.1.7600.16385     C:\Windows\system32
74c20000 Secur32.dll                              6.1.7601.18912     C:\Windows\system32
74c40000 wkscli.dll                               6.1.7601.17514     C:\Windows\system32
74c50000 srvcli.dll                               6.1.7601.17514     C:\Windows\system32
74c70000 netutils.dll                             6.1.7601.17514     C:\Windows\system32
74c80000 netapi32.dll                             6.1.7601.17887     C:\Windows\system32
74ca0000 MSIMG32.dll                              6.1.7600.16385     C:\Windows\system32
74cb0000 WINNSI.DLL                               6.1.7600.16385     C:\Windows\system32
74cc0000 IPHLPAPI.DLL                             6.1.7601.17514     C:\Windows\system32
75020000 CRYPTBASE.dll                            6.1.7601.18912     C:\Windows\syswow64
75030000 SspiCli.dll                              6.1.7601.18912     C:\Windows\syswow64
75090000 IMM32.DLL                                6.1.7601.17514     C:\Windows\system32
750f0000 DEVOBJ.dll                               6.1.7601.17621     C:\Windows\syswow64
75110000 kernel32.dll                             6.1.7601.18869     C:\Windows\syswow64
75220000 NSI.dll                                  6.1.7600.16385     C:\Windows\syswow64
75230000 api-ms-win-downlevel-shlwapi-l1-1-0.dll  6.2.9200.16492     C:\Windows\syswow64
75240000 msvcrt.dll                               7.0.7601.17744     C:\Windows\syswow64
752f0000 api-ms-win-downlevel-normaliz-l1-1-0.dll 6.2.9200.16492     C:\Windows\syswow64
75300000 SETUPAPI.dll                             6.1.7601.17514     C:\Windows\syswow64
754a0000 iertutil.dll                             11.0.9600.17924    C:\Windows\syswow64
756e0000 WLDAP32.dll                              6.1.7601.17514     C:\Windows\syswow64
75730000 sechost.dll                              6.1.7601.18869     C:\Windows\SysWOW64
75840000 CFGMGR32.dll                             6.1.7601.17621     C:\Windows\syswow64
75870000 MSASN1.dll                               6.1.7601.17514     C:\Windows\syswow64
75880000 urlmon.dll                               11.0.9600.17924    C:\Windows\syswow64
759d0000 WINTRUST.dll                             6.1.7601.18839     C:\Windows\syswow64
75a00000 SHLWAPI.dll                              6.1.7601.17514     C:\Windows\syswow64
75a60000 profapi.dll                              6.1.7600.16385     C:\Windows\syswow64
75a70000 USERENV.dll                              6.1.7601.17514     C:\Windows\syswow64
75a90000 USP10.dll                                1.626.7601.18454   C:\Windows\syswow64
75b30000 api-ms-win-downlevel-advapi32-l1-1-0.dll 6.2.9200.16492     C:\Windows\syswow64
75b40000 api-ms-win-downlevel-user32-l1-1-0.dll   6.2.9200.16492     C:\Windows\syswow64
75b50000 SHELL32.dll                              6.1.7601.18762     C:\Windows\syswow64
767a0000 USER32.dll                               6.1.7601.17514     C:\Windows\syswow64
768a0000 PSAPI.DLL                                6.1.7600.16385     C:\Windows\syswow64
768b0000 api-ms-win-downlevel-ole32-l1-1-0.dll    6.2.9200.16492     C:\Windows\syswow64
768c0000 GDI32.dll                                6.1.7601.18898     C:\Windows\syswow64
76950000 ADVAPI32.dll                             6.1.7601.18869     C:\Windows\syswow64
76a00000 CLBCatQ.DLL                              2001.12.8530.16385 C:\Windows\syswow64
76a90000 OLEAUT32.dll                             6.1.7601.18679     C:\Windows\syswow64
76b20000 ole32.dll                                6.1.7601.18915     C:\Windows\syswow64
76c80000 KERNELBASE.dll                           6.1.7601.18869     C:\Windows\syswow64
76cd0000 RPCRT4.dll                               6.1.7601.18912     C:\Windows\syswow64
76dc0000 api-ms-win-downlevel-version-l1-1-0.dll  6.2.9200.16492     C:\Windows\syswow64
76dd0000 WS2_32.dll                               6.1.7601.17514     C:\Windows\syswow64
76e40000 LPK.dll                                  6.1.7601.18923     C:\Windows\syswow64
76e50000 comdlg32.dll                             6.1.7601.17514     C:\Windows\syswow64
76ed0000 CRYPT32.dll                              6.1.7601.18839     C:\Windows\syswow64
77000000 WININET.dll                              11.0.9600.17909    C:\Windows\syswow64
771f0000 MSCTF.dll                                6.1.7601.18731     C:\Windows\syswow64
77690000 normaliz.DLL                             6.1.7600.16385     C:\Windows\syswow64
776c0000 ntdll.dll                                6.1.7601.18869     C:\Windows\SysWOW64

processes:
0000 Idle                    0 0   0
0004 System                  0 0   0
00ec smss.exe                0 0   0
01e0 csrss.exe               0 0   0
021c wininit.exe             0 0   0
0234 csrss.exe               1 0   0
0268 services.exe            0 0   0
0274 lsass.exe               0 0   0
027c lsm.exe                 0 0   0
02a0 winlogon.exe            1 0   0
0304 svchost.exe             0 0   0
0340 TeraCopyService.exe     0 0   0
0390 nvvsvc.exe              0 0   0
03b8 svchost.exe             0 0   0
0128 svchost.exe             0 0   0
014c svchost.exe             0 0   0
0188 svchost.exe             0 0   0
01a0 svchost.exe             0 0   0
041c svchost.exe             0 0   0
0498 nvxdsync.exe            1 0   0
04a4 nvvsvc.exe              1 0   0
04dc spoolsv.exe             0 0   0
0510 svchost.exe             0 0   0
05c4 armsvc.exe              0 0   0
05e8 ASGT.exe                0 0   0
0600 svchost.exe             0 0   0
0628 svchost.exe             0 0   0
0648 svchost.exe             0 0   0
0700 Plex Update Service.exe 0 0   0
0744 taskhost.exe            1 23  21  normal
0784 taskeng.exe             1 0   0
07a0 dwm.exe                 1 19  2   high
07dc explorer.exe            1 690 457 normal
05fc hdsentinel.exe          1 0   0
0094 VVLauncher.exe          1 0   0
0468 TCPSVCS.EXE             0 0   0
0814 svchost.exe             0 0   0
0834 SearchIndexer.exe       0 0   0
0888 VivaldiFramework.exe    0 0   0
08b8 cmd.exe                 0 0   0
0908 ProcessGovernor.exe     1 0   0
0928 ProcessLasso.exe        1 0   0
0934 conhost.exe             0 0   0
0958 javaw.exe               0 0   0
09dc GPUTweakII.exe          1 0   0
0a24 MysticThumbs.exe        1 15  9   normal
0a30 dopusrt.exe             1 9   5   normal
0a3c Plex Media Server.exe   1 15  6   normal       C:\Program Files (x86)\Plex\Plex Media Server
0af8 java.exe                1 20  10  normal       C:\Program Files (x86)\MegaRAID Storage Manager\JRE\bin
0b00 rusb3mon.exe            1 21  9   normal       C:\Program Files (x86)\Renesas Electronics\USB 3.0 Host Controller Driver\Application
0b08 CCleaner64.exe          1 0   0
0b10 conhost.exe             1 26  3   normal
0b40 jusched.exe             1 9   2   normal       C:\Program Files (x86)\Common Files\Java\Java Update
0af4 WRSA.exe                1 32  20  normal       C:\Program Files\Webroot
0d0c unsecapp.exe            1 0   0
0d5c WmiPrvSE.exe            0 0   0
0f38 WmiPrvSE.exe            0 0   0
0dfc PlexScriptHost.exe      1 4   1   normal       C:\Program Files (x86)\Plex\Plex Media Server
0dc4 conhost.exe             1 25  8   normal
0bd0 svchost.exe             0 0   0
1268 Monitor.exe             1 0   0
12c4 SamsungMagician.exe     1 0   0
1008 WmiPrvSE.exe            0 0   0
12cc WRSA.exe                0 0   0
1980 IntuitUpdateService.exe 0 0   0
1b90 svchost.exe             0 0   0
1f50 PlexScriptHost.exe      1 4   1   normal       C:\Program Files (x86)\Plex\Plex Media Server
08ac conhost.exe             1 25  8   normal
1f24 PlexScriptHost.exe      1 4   1   normal       C:\Program Files (x86)\Plex\Plex Media Server
1c50 conhost.exe             1 25  8   normal
1db4 teracopy.exe            1 199 79  below normal C:\Program Files\TeraCopy
15a4 PlexScriptHost.exe      1 4   1   normal       C:\Program Files (x86)\Plex\Plex Media Server
18e0 conhost.exe             1 25  8   normal
11fc wuauclt.exe             1 12  7   normal
1b44 SearchFilterHost.exe    0 0   0
1948 SearchProtocolHost.exe  1 5   7   idle
1c3c teracopy.exe            1 164 108 normal       C:\Program Files\TeraCopy
0bc0 audiodg.exe             0 0   0

hardware:
+ Computer
  - ACPI x64-based PC
+ Disk drives
  - ATA Samsung SSD 850 SCSI Disk Device
  - ATA ST2000DL003-9VT1 SCSI Disk Device
  - ATA ST4000DM000-1F21 SCSI Disk Device
  - ATA ST4000DM000-1F21 SCSI Disk Device
  - ATA ST4000DM000-1F21 SCSI Disk Device
  - ATA ST8000AS0002-1NA SCSI Disk Device
  - ST8000AS0002-1NA17Z ATA Device
+ Display adapters
  - NVIDIA GeForce 210  (driver 9.18.13.623)
+ DVD/CD-ROM drives
  - ASUS DRW-24B1ST   c ATA Device
  - ATAPI iHES112   3 ATA Device
+ Floppy disk drives
  - Floppy disk drive
+ Floppy drive controllers
  - Standard floppy disk controller
+ Human Interface Devices
  - USB Input Device
  - USB Input Device
+ IDE ATA/ATAPI controllers
  - ATA Channel 0
  - ATA Channel 1
  - ATA Channel 2
  - ATA Channel 3
  - ATA Channel 4
  - ATA Channel 5
  - Standard AHCI 1.0 Serial ATA Controller
+ Keyboards
  - HID Keyboard Device
  - Standard PS/2 Keyboard
+ Mice and other pointing devices
  - HID-compliant mouse
+ Monitors
  - SyncMaster S27A550H (Analog) (driver 3.0.0.0)
+ Network adapters
  - Marvell Yukon 88E8056 PCI-E Gigabit Ethernet Controller
  - Microsoft 6to4 Adapter
  - Microsoft ISATAP Adapter
  - Microsoft ISATAP Adapter #2
  - Microsoft ISATAP Adapter #3
  - Microsoft ISATAP Adapter #4
  - Realtek RTL8169/8110 Family PCI Gigabit Ethernet NIC (NDIS 6.20)
  - Teredo Tunneling Pseudo-Interface
  - WAN Miniport (IKEv2)
  - WAN Miniport (IP)
  - WAN Miniport (IPv6)
  - WAN Miniport (L2TP)
  - WAN Miniport (Network Monitor)
  - WAN Miniport (PPPOE)
  - WAN Miniport (PPTP)
  - WAN Miniport (SSTP)
+ Ports (COM & LPT)
  - Communications Port (COM1)
+ Processors
  - Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
  - Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
  - Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
  - Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
+ Sound, video and game controllers
  - Digital Video Recorder (driver 1.3.1.188)
  - High Definition Audio Device
  - High Definition Audio Device
  - High Definition Audio Device
  - High Definition Audio Device
  - High Definition Audio Device
+ Storage controllers
  - LSI Adapter, SAS2 2008 Falcon -StorPort (driver 2.0.72.0)
+ System devices
  - ACPI Fixed Feature Button
  - ACPI Power Button
  - ATK0110 ACPI UTILITY (driver 1043.2.15.37)
  - Composite Bus Enumerator
  - Direct Application Launch Button
  - Direct memory access controller
  - File as Volume Driver
  - High Definition Audio Controller
  - High Definition Audio Controller
  - High precision event timer
  - Intel(R) 82801 PCI Bridge - 244E
  - Intel(R) G33/G31/P35/P31 Express Chipset PCI Express Root Port - 29C1
  - Intel(R) G33/G31/P35/P31 Express Chipset Processor to I/O Controller - 29C0
  - Intel(R) ICH9 Family PCI Express Root Port 1 - 2940
  - Intel(R) ICH9 Family PCI Express Root Port 2 - 2942
  - Intel(R) ICH9 Family PCI Express Root Port 3 - 2944
  - Intel(R) ICH9 Family PCI Express Root Port 6 - 294A
  - Intel(R) ICH9 Family SMBus Controller - 2930
  - Intel(R) ICH9R LPC Interface Controller - 2916
  - IPBusEnum Root Enumerator
  - Microsoft ACPI-Compliant System
  - Microsoft System Management BIOS Driver
  - Microsoft Virtual Drive Enumerator Driver
  - Motherboard resources
  - Motherboard resources
  - Motherboard resources
  - Motherboard resources
  - Numeric data processor
  - PCI bus
  - Plug and Play Software Device Enumerator
  - Programmable interrupt controller
  - Remote Desktop Device Redirector Bus
  - System board
  - System board
  - System CMOS/real time clock
  - System speaker
  - System timer
  - Terminal Server Keyboard Driver
  - Terminal Server Mouse Driver
  - UMBus Enumerator
  - UMBus Root Bus Enumerator
  - Volume Manager
+ Universal Serial Bus controllers
  - Intel(R) ICH9 Family USB Universal Host Controller - 2934
  - Intel(R) ICH9 Family USB Universal Host Controller - 2935
  - Intel(R) ICH9 Family USB Universal Host Controller - 2936
  - Intel(R) ICH9 Family USB Universal Host Controller - 2937
  - Intel(R) ICH9 Family USB Universal Host Controller - 2938
  - Intel(R) ICH9 Family USB Universal Host Controller - 2939
  - Intel(R) ICH9 Family USB2 Enhanced Host Controller - 293A
  - Intel(R) ICH9 Family USB2 Enhanced Host Controller - 293C
  - Texas Instruments USB Root Hub (driver 1.12.24.0)
  - Texas Instruments XHCI Controller (driver 1.12.24.0)
  - USB Composite Device
  - USB Root Hub
  - USB Root Hub
  - USB Root Hub
  - USB Root Hub
  - USB Root Hub
  - USB Root Hub
  - USB Root Hub
  - USB Root Hub

disassembling:
00408774     public System.TObject.Free:      ; function entry point
00408774 424   test    eax, eax
00408776       jz      loc_40877f
00408778       mov     dl, 1
0040877a       mov     ecx, [eax]
0040877c     > call    dword ptr [ecx-4]
0040877f       ret

error details:
Copying entire file set from old smaller to new larger hdd.
Old drive - 4TB
New Drive  - 8TB
About 50% through the process and this has happened about 4 times. Shutting down via Win 7 Task Manager and restarting restores program functionnality.

bugreport.txt (28,453 bytes)

BRX

2017-02-21 07:10

reporter   ~0000028

This seems to be the same bug as reported in 0000050.

Also it seems to me the freeze occurs usually after finishing a big file (> 300 MB). The freeze happened on the next file regardless of size. Restarting the the copy after deleting the unfinished file and skipping the rest usually goes through then to the end.

CodeSector

2017-02-22 09:26

administrator   ~0000029

Please test this version: https://s3.amazonaws.com/codesector-us/teracopy3-nightly.exe
If it still freezes, try disabling async file transfer in options.

Issue History

Date Modified Username Field Change
2017-02-20 11:47 Bob Sears New Issue
2017-02-20 11:47 Bob Sears File Added: bugreport.txt
2017-02-20 23:48 CodeSector Project Direct Folders => TeraCopy
2017-02-20 23:48 CodeSector Status new => assigned
2017-02-20 23:49 CodeSector Product Version => 3.0 RC 2
2017-02-20 23:49 CodeSector Target Version => 3.0
2017-02-20 23:49 CodeSector Summary Tera Copy Pro 3.0 RC2 Freezes when copying large amounts of data => Freezes when copying large amounts of data
2017-02-20 23:49 CodeSector Description Updated View Revisions
2017-02-20 23:49 CodeSector OS Version 64 bit => 64 bit
2017-02-21 07:10 BRX Note Added: 0000028
2017-02-22 09:26 CodeSector Note Added: 0000029
2017-02-22 09:26 CodeSector Relationship added related to 0000050
2017-02-25 21:07 CodeSector Status assigned => resolved
2017-02-25 21:07 CodeSector Resolution open => fixed